##
##  mongodb.conf -- MongoDB Server Configuration
##

fork              = true
pidfilepath       = @l_prefix@/var/mongodb/run/mongodb.pid
logpath           = @l_prefix@/var/mongodb/log/mongodb.log
logappend         = true

bind_ip           = 127.0.0.1
port              = 27017

auth              = true
notablescan       = true

dbpath            = @l_prefix@/var/mongodb/db
directoryperdb    = true
journal           = true

setParameter      = disabledSecureAllocatorDomains=*

#keyFile           = @l_prefix@/etc/mongodb/mongodb.key
#master            = true
#slave             = true
#source            = 127.0.0.1:27018
#autoresync        = true

#sslOnNormalPorts  = true
#sslPEMKeyFile     = @l_prefix@/etc/mongodb/mongodb.pem
#sslPEMKeyPassword = pass

